Method: remediationPlans.generate

Full name: projects.locations.instances.remediationPlans.generate

Triggers Remediation agent and saves its output as a Remediation Plan.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/remediationPlans:generate

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource indicating where the plan will be generated.

Request body

The request body contains data with the following structure:

JSON representation
{
  "siemAlertId": string
}
Fields
siemAlertId

string

Optional. siem alert identifier.

Response body

If successful, the response body contains an instance of RemediationPlan.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.